'''
实验名称：Socket通信
实验平台：核桃派1B
'''
import socket
import time

#构建socket对象s
s=socket.socket()

addr=('192.168.2.119',10000)
s.connect(addr)

#发送测试
s.send(b'Hello WalnutPi!')

while True:
    
    text=s.recv(128) #单次最多接收128字节数据
    
    #接收为空
    if text == '':
        pass
    
    #接收到数据，打印并回传
    else:
        print(text) 
        s.send(text)
        
    time.sleep(0.1) #100ms查询间隔